- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Static Public Member Functions
DijkstraDefaultOperationTraits< V > Struct Template Reference

## Detailed Description

### template<typename V>
struct lemon::DijkstraDefaultOperationTraits< V >

This operation traits class defines all computational operations and constants which are used in the Dijkstra algorithm.

`#include <lemon/dijkstra.h>`

## Public Types
typedef V | Value

## Static Public Member Functions
static Value | zero ()
| Gives back the zero value of the type.
static Value | plus (const Value &left, const Value &right)
| Gives back the sum of the given two elements.
static bool | less (const Value &left, const Value &right)
| Gives back true only if the first value is less than the second.